Permalink
Browse files

Python 2.6 support

  • Loading branch information...
1 parent fb694c8 commit eb99796d95384f9e881d5af1eb99d29244cd22aa @noirbizarre committed Jun 7, 2013
Showing with 17 additions and 9 deletions.
  1. +1 −0 CHANGELOG.rst
  2. +1 −1 README.rst
  3. +1 −1 doc/index.rst
  4. +1 −1 requirements/install.pip
  5. +13 −6 tox.ini
View
@@ -9,6 +9,7 @@ Current
- Upgraded to Ember Data 0.13
- Upgraded to latest Ember Data Tastypie Adapter (9db4b9a)
- Upgraded to Handlebars 1.0.0
+- Python 2.6 support
0.2.0 (2013-05-09)
View
@@ -14,7 +14,7 @@ It use `Django.js`_ as base and is inspired from:
Compatibility
-------------
-Django Ember requires Python 2.7+, Django 1.4.2+ and Django.js 0.7.0+.
+Django Ember requires Python 2.6+, Django 1.4.2+ and Django.js 0.7.6+.
Installation
------------
View
@@ -15,7 +15,7 @@ It use `Django.js`_ as base and is inspired from:
Compatibility
=============
-Django Ember requires Python 2.7+, Django 1.4.2+ and Django.js 0.7.0+.
+Django Ember requires Python 2.6+, Django 1.4.2+ and Django.js 0.7.6+.
Installation
View
@@ -1,2 +1,2 @@
django>=1.4.2
-django.js>=0.7.0
+django.js>=0.7.6
View
19 tox.ini
@@ -4,22 +4,29 @@
# and then run "tox" from this directory.
[tox]
-envlist = py27, py32, py33, django-1.4, doc
+envlist = py26, py27, py32, py33, py26-django-1.4, py27-django-1.4,doc
[shared]
-deps = django.js>=0.7.0
+deps = django.js>=0.7.6
+
+[django-1.4]
+deps =
+ {[shared]deps}
+ django>=1.4,<1.5
[testenv]
commands = {envpython} manage.py test ember
deps =
{[shared]deps}
django>=1.5
-[testenv:django-1.4]
+[testenv:py26-django-1.4]
+basepython = python2.6
+deps = {[django-1.4]deps}
+
+[testenv:py27-django-1.4]
basepython = python2.7
-deps =
- {[shared]deps}
- django>=1.4,<1.5
+deps = {[django-1.4]deps}
[testenv:doc]
changedir = doc

0 comments on commit eb99796

Please sign in to comment.